#
libsff

Home | Modules | Examples

# /home/pinky2/mattijs/OpenFOAM/OpenFOAM-1.0/applications/utilities/mesh/conversion/ccm24ToFoam/libccmio/libccmio/ccmiobuffer.h File Reference

Go to the source code of this file.

## Data Structures

struct | _CCMIOBuffer

## CCMIOBuffer

Buffers reading and writing.
void | CCMIOSetBufferSize (int n)
| Sets the buffer size (in elements) for new buffers.
CCMIOError | CCMIOCreateBuffer (CCMIOError *err, CCMIONode node, CCMIOBufferType which, CCMIOBuffer *buff)
| Creates a buffer.
CCMIOError | CCMIODestroyBuffer (CCMIOError *err, CCMIOBuffer buff)
| Destroys the buffer (even if an err is not kCCMIONoErr).
CCMIOError | CCMIOBufferReadDataPoint (CCMIOError *err, CCMIOBuffer buff, void *data,...)
| Reads one data point.
CCMIOError | CCMIOvBufferReadDataPoint (CCMIOError *err, CCMIOBuffer buff, void *data, va_list args)
| Sets the buffer size (in elements) for new buffers.
CCMIOError | CCMIOBufferWriteNextDataPoint (CCMIOError *err, CCMIOBuffer buff, int n, void *data)
| Reads one data point.
CCMIOError | CCMIOBufferWriteDataPoint (CCMIOError *err, CCMIOBuffer buff, void *data,...)
| Writes one data point to the buffer, which is written when the buffer is closed.
CCMIOError | CCMIOvBufferWriteDataPoint (CCMIOError *err, CCMIOBuffer buff, void *data, va_list args)
| Sets the buffer size (in elements) for new buffers.
CCMIOError | CCMIOBufferGetNode (CCMIOError *err, CCMIOBuffer buff, CCMIONode *node)
| Returns the node associated with the buffer.

## Typedefs

typedef char | CCMIOBufferDataType
typedef _CCMIOBuffer * | CCMIOBuffer

## Typedef Documentation

typedef struct _CCMIOBuffer* CCMIOBuffer

| Definition at line 39 of file ccmiobuffer.h.

typedef char CCMIOBufferDataType

| Definition at line 25 of file ccmiobuffer.h.